get
https://gatewayapi.smallcase.com/v1//engine/user/investments
The API provides the list of all the user smallcase investment details or returns the user investment details for a particular smallcase, provided a particular iscid in query param. Data like the current config of the smallcase, stats, returns, smallcase description, and much more is shared.
If query param "aggregatedData" is provided, the API shares user’s aggregated investment details. “data” object field containing aggregated data would be returned.
Use case: This is an ideal data api when you want to display information to a user about the investments that have been made by the user
NOTE:
authTokenmust containsmallcaseAuthIdin the payload.iscidpassed should be associated with thesmallcaseAuthIdotherwise no data would be returned.
Sample responses when aggregatedData query param is provided as true.
{
"success": true,
"errors": null,
"data": {
"aggregated": {
"currentInvestment": 22,
"currentReturns": 1.7,
"networth": 23.7,
"totalReturns": 1.7,
"currentReturnsPercent": 7.73,
"totalReturnsPercent": 7.73
}
}
}{
"success": true,
"errors": null,
"data": {
"aggregated": []
}
}{
"success": true,
"errors": null,
"data": {
"aggregated": {
"currentInvestment": 0,
"currentReturns": 0,
"networth": 0,
"totalReturns": 0,
"currentReturnsPercent": null,
"totalReturnsPercent": null
}
}
}
Understanding smallcase returnsPerformance metrics that help user track smallcase investments better - https://www.smallcase.com/blog/investment-details-explained/